package intrinsic.mx.events;

public class TreeEvent extends intrinsic.flash.events.Event {

	/** Accessors */

	/** Variables */
	public boolean dispatchEvent;
	public Object item;
	public intrinsic.flash.events.Event triggerEvent;
	public boolean animate;
	public intrinsic.mx.controls.listClasses.IListItemRenderer itemRenderer;
	public boolean opening;

	/** Constants */
	public static final String ITEM_OPEN = "item_open";
	public static final String ITEM_OPENING = "item_opening";
	public static final String VERSION = "version";
	public static final String ITEM_CLOSE = "item_close";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public TreeEvent() {
}

public TreeEvent(String arg0) {
}

public TreeEvent(String arg0, boolean arg1) {
}

public TreeEvent(String arg0, boolean arg1, boolean arg2) {
}

public TreeEvent(String arg0, boolean arg1, boolean arg2, Object arg3) {
}

public TreeEvent(String arg0, boolean arg1, boolean arg2, Object arg3, intrinsic.mx.controls.listClasses.IListItemRenderer arg4) {
}

public TreeEvent(String arg0, boolean arg1, boolean arg2, Object arg3, intrinsic.mx.controls.listClasses.IListItemRenderer arg4, intrinsic.flash.events.Event arg5) {
}


/** Static Methods */

/** Methods */
public native Object clone();

}
